namespace Nant.VMWare
{
    public interface IVirtualMachine
    {
        bool VirtualMachineIsRunning();
        bool LoggedInToVirtualMachine();
        void Start();
        void Login( string login, string password );
        void CopyFileToVm( string sourceFilePath, string destinationFilePath );
        void CopyFileFromVm( string sourceFilePath, string destinationFilePath );
        string ReadFileContentsFromVm( string filePathInVm );
        bool FileExistsInVm( string filePathInVm );
        void TakeScreenshot( string screenshotLocation );
        void Shutdown();
        void RevertToSnapshot(string snapshotName);
        void TakeSnapshot( string name, string description );
        void ConnectIso( string isoLocation );
        void StartProcess( string processLocationInVm, string arguments );
        int StartProcessAndWaitForExit( string processLocationInVm, string arguments );
    }
}