using NAnt.Core;
using NAnt.Core.Attributes;

namespace Nant.VMWare.Tasks
{
    [TaskName( "get-file-from-vm" )]
    public class GetFileFromVirtualMachineTask : VirtualMachineTask
    {
        [TaskAttribute( "remote-file-path", Required = true )]
        [StringValidator( AllowEmpty = false )]
        public string SourceFileInVm { get; set; }

        [TaskAttribute( "local-file-path", Required = true )]
        [StringValidator( AllowEmpty = false )]
        public string DestinationFile { get; set; }

        protected override void ExecuteTask()
        {
            Log( Level.Info, "Downloading file from '{0}' to '{1}'...", SourceFileInVm, DestinationFile );
            TestEnvironment.GetFile( SourceFileInVm, DestinationFile );
            Log( Level.Info, "Successfully downloaded file" );
        }
    }
}