using System.IO;

using NAnt.Core;
using NAnt.Core.Attributes;

namespace Nant.VMWare.Tasks
{
    [TaskName( "take-screenshot-of-vm" )]
    public class TakeScreenshotOfVirtualMachineTask : VirtualMachineTask
    {
        [TaskAttribute( "image-path", Required = true )]
        [StringValidator( AllowEmpty = false )]
        public string ImageLocalPath { get; set; }

        protected override void ExecuteTask()
        {
            string screenshotPath = Path.GetFullPath( ImageLocalPath );

            TestEnvironment.TakeScreenshot( screenshotPath );

            Log( Level.Info, "Took VM's screenshot. It is stored at: " + screenshotPath );
        }
    }
}