using NAnt.Core;
using NAnt.Core.Attributes;

namespace Nant.VMWare.Tasks
{
    [TaskName( "take-snapshot-of-vm" )]
    public class TakeSnapshotOfVirtualMachineTask : VirtualMachineTask
    {
        [TaskAttribute( "name", Required = true )]
        [StringValidator( AllowEmpty = false )]
        public string SnapshotName { get; set; }

        [TaskAttribute( "description", Required = true )]
        [StringValidator( AllowEmpty = false )]
        public string SnapshotDescription { get; set; }

        protected override void ExecuteTask()
        {
            Log( Level.Info, "Taking VM's snapshot..." );
            TestEnvironment.TakeSnapshot( SnapshotName, SnapshotDescription );
            Log( Level.Info, "Snapshot '{0}' has been created", SnapshotName );
        }
    }
}